///agents cards
.new-agent-wrap {
  width: 100%;
  margin: 0 auto;
}

.new-agent {

  @include element(card) {
    border: 1px solid palette(bg,light);
    //background: palette(bg, dark);
    transition: all .5s ease-in;
    transition: color .3s ease-in;
    min-height: 440px;

    a {
      min-height: 440px;
    }
  }
}

.new-agent{
  @include element(card-anchor-wrap) {
    color: palette(blue, dark);
    @include padding-all(40px, 40px, 40px, 40px);
    display: flex;
    flex-direction:column;
    height:100%;
    border:1px solid palette(grey, dark);
    transition: background .3s ease-in;
  }

  @include element(name) {
    text-transform:uppercase;

     &:before {
       @include before-top-deco(40px, 1px, 32px, palette(orange,base));
       transition: width .4s ease-in;
     }
  }
}

/// Hover states for cards
.new-agent__card:hover {
  border: 1px solid palette(bg,base);
  background: #F6F6F3;

  h2:before {
    @include before-top-deco(60px, 1px, 32px, null)
  }
}

.new-agent__card:hover .new-agent__card-anchor-wrap {
  background: #F6F6F3;
}


///target last child blank agent
.new-agent__card:last-child {
  a  {
    background: $accent-color-red;
  }
  p, h2{
    color:palette(bg, base);
  }
  h2{
    &:before{
      @include before-top-deco(40px, 1px, 32px, palette(bg, base))
    }
  }
  &:hover {
    background: palette(bg, x-dark);
    p, h2 {
      color:$color-text;
    }
    h2:before {
      @include before-top-deco(60px, 1px, 32px, $accent-color-red)
    }
  }
}
